//
//  ZYJQNIPV6.h
//  ZYJHappyDNS
//
//  Created by bailong on 16/5/25.
//  Copyright © 2016年 Qiniu Cloud Storage. All rights reserved.
//

#import <Foundation/Foundation.h>

extern int ZYJQN_localIp(char *buf, int buf_size);
extern void ZYJQN_nat64(char *buf, int buf_size, uint32_t ipv4_addr);

@interface ZYJQNIP : NSObject

+ (BOOL)isV6;

+ (NSString *)adaptiveIp:(NSString *)ipv4;

+ (NSString *)local;

// ipv6 in url like http://[::xxx]/
+ (NSString *)ipHost:(NSString *)ip;

+ (NSString *)nat64:(NSString *)ip;

+ (BOOL)isIpV6FullySupported;

+ (BOOL)mayBeIpV4:(NSString *)domain;

@end
