//
//  ZYJQNResumeUpload.h
//  ZYJQiniuSDK
//
//  Created by bailong on 14/10/1.
//  Copyright (c) 2014年 Qiniu. All rights reserved.
//

#import "ZYJQNBaseUpload.h"
#import <Foundation/Foundation.h>
#import "ZYJQNFileDelegate.h"

@interface ZYJQNResumeUpload : ZYJQNBaseUpload

- (instancetype)initWithFile:(id<ZYJQNFileDelegate>)file
                     withKey:(NSString *)key
                   withToken:(ZYJQNUpToken *)token
              withIdentifier:(NSString *)identifier
       withCompletionHandler:(ZYJQNUpCompletionHandler)block
                  withOption:(ZYJQNUploadOption *)option
                withRecorder:(id<ZYJQNRecorderDelegate>)recorder
             withRecorderKey:(NSString *)recorderKey
             withSessionManager:(ZYJQNSessionManager *)sessionManager
           withConfiguration:(ZYJQNConfiguration *)config;

- (void)run;

@end
